Skip to content

Get a webhook endpoint

GET
/v1/webhooks/{webhook_id}
curl --request GET \
--url https://api-staging.asqary.com/v1/webhooks/example \
--header 'Authorization: Bearer <token>'
webhook_id
required
string
/^wh_[0-9a-f]{32}$/

The endpoint

Media typeapplication/json
object
webhook_id
required
string
/^wh_[0-9a-f]{32}$/
url
required
string
description
required
string | null
events
required
Array<string>
Allowed values: * backtest.completed backtest.failed policy.activated policy.archived
status
required
string
Allowed values: enabled disabled
disabled_reason
required
string | null
failing_since
required

When deliveries started failing. The endpoint is disabled after three days of failures.

string | null format: date-time
environment
required
string
Allowed values: live test
previous_secret_expires_at

Set after a rotation while the old secret still signs deliveries.

string | null format: date-time
created_at
required
string format: date-time
updated_at
required
string format: date-time

Example

{
"events": [
"*"
],
"status": "enabled",
"environment": "live"
}

Resource or endpoint not found.

Media typeapplication/json
object
error_code
required

Invalid_request, unauthorized, key_expired, key_revoked, forbidden, ip_not_allowed, quota_exceeded, not_found, method_not_allowed, conflict, policy_in_use, policy_active, policy_archived, idempotency_key_reused, validation_failed, rule_not_available, backtest_invalid_rows, backtest_too_large, rate_limited, internal_error

string
message
required
string
retryable
required
boolean
request_id
string
details
One of:
Array<object>
object
field
required
string
message
required
string
code
string

Example generated

{
"error_code": "example",
"message": "example",
"retryable": true,
"request_id": "example",
"details": {}
}